Subreddits V1
My Subreddits V1
Get your subscribed/contributing/moderating communities. Requires bearer.
GET /api/v1/communities/mine/{where}
Get your subscribed/contributing/moderating communities. Requires bearer.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
where | string | Yes | Type: subscriber, contributor, moderator, streams |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
limit | string | No | Max results (1-100, default: 25) |
bearer | string | No | Bearer token. Optional if stored in Token Vault. |
proxy | string | No | Proxy. Optional if stored in Token Vault. |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/communities/mine/<where>?limit=25&bearer=<bearer>&proxy=<proxy>" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/mine/<where>?limit=25&bearer=<bearer>&proxy=<proxy>", {
method: "GET",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/mine/<where>?limit=25&bearer=<bearer>&proxy=<proxy>"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"subreddits": [
{
"user_flair_background_color": null,
"submit_text_html": null,
"restrict_posting": true,
"user_is_banned": false,
"wiki_enabled": true,
"user_is_muted": false,
"user_can_flair_in_sr": null,
"display_name": "RedCrawlerAPI",
"header_img": null,
"title": "RedCrawlerAPI",
"original_content_tag_enabled": false,
"allow_galleries": true,
"icon_size": null,
"primary_color": "#4C8CFF",
"icon_img": "",
"display_name_prefixed": "r/RedCrawlerAPI",
"public_traffic": false,
"subscribers": 1,
"user_flair_richtext": [],
"videostream_links_count": 0,
"name": "t5_examples",
"quarantine": false,
"hide_ads": false,
"prediction_leaderboard_entry_type": 1,
"emojis_enabled": false,
"advertiser_category": "",
"public_description": "RedCrawlerAPI",
"comment_score_hide_mins": 0,
"allow_predictions": false,
"user_has_favorited": false,
"user_flair_template_id": null,
"community_icon": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"banner_background_image": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"header_title": "",
"community_reviewed": false,
"submit_text": "",
"description_html": "<!-- SC_OFF --><div class=\"md\"><p>RedCrawlerAPI</p>\n</div><!-- SC_ON -->",
"spoilers_enabled": true,
"allow_talks": false,
"header_size": null,
"user_flair_position": "right",
"all_original_content": false,
"has_menu_widget": false,
"is_enrolled_in_new_modmail": true,
"key_color": "",
"can_assign_user_flair": false,
"created": 1777450604.0,
"show_media_preview": true,
"submission_type": "any",
"user_is_subscriber": true,
"allowed_media_in_comments": [
"giphy",
"static",
"\u2026 (3 more items)"
],
"allow_videogifs": true,
"should_archive_posts": false,
"user_flair_type": "text",
"allow_polls": true,
"collapse_deleted_comments": true,
"coins": 0,
"emojis_custom_size": null,
"public_description_html": "<!-- SC_OFF --><div class=\"md\"><p>RedCrawlerAPI</p>\n</div><!-- SC_ON -->",
"allow_videos": true,
"is_crosspostable_subreddit": true,
"notification_level": "low",
"should_show_media_in_comments_setting": true,
"can_assign_link_flair": false,
"allow_prediction_contributors": false,
"submit_text_label": "",
"link_flair_position": "",
"user_sr_flair_enabled": null,
"user_flair_enabled_in_sr": false,
"allow_discovery": true,
"accept_followers": true,
"user_sr_theme_enabled": true,
"link_flair_enabled": false,
"subreddit_type": "restricted",
"suggested_comment_sort": null,
"banner_img": "",
"user_flair_text": null,
"banner_background_color": "",
"show_media": true,
"id": "hmeujo",
"user_is_moderator": true,
"over18": false,
"description": "RedCrawlerAPI",
"submit_link_label": "",
"user_flair_text_color": null,
"restrict_commenting": false,
"user_flair_css_class": null,
"allow_images": true,
"lang": "en",
"url": "/r/RedCrawlerAPI/",
"created_utc": 1777450604.0,
"banner_size": null,
"mobile_banner_image": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
"user_is_contributor": true,
"allow_predictions_tournament": false
}
],
"cursor": null
},
"error": null,
"timestamp": "2026-04-29T08:58:58.749912+00:00"
}